Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232103 (CVE-2007-1429) - CVE-2007-1429: moodle 1.7.1 remote file inclusion
Summary: CVE-2007-1429: moodle 1.7.1 remote file inclusion
Keywords:
Status: CLOSED NEXTRELEASE
Alias: CVE-2007-1429
Product: Fedora
Classification: Fedora
Component: moodle
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 21:16 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-15 22:21:50 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2007-03-13 21:16:47 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-1429

"Multiple PHP remote file inclusion vulnerabilities in Moodle 1.7.1 allow remote
attackers to execute arbitrary PHP code via a URL in the cmd parameter to (1)
admin/utfdbmigrate.php or (2) filter.php."

Reported against 1.7.1 which is not currently in any FE repo; reporting here in
order to track/ask for confirmation whether 1.6.x in FC-5 and FC-6, and 1.7 in
devel are affected.

Comment 1 Jerry James 2007-04-15 22:21:50 UTC
This bug has been patched in moodle 1.6.5, which is being released for FC 5 and
FC 6, and the files in question are completely gone in 1.8.0, which is being
released for FC 7.


Note You need to log in before you can comment on or make changes to this bug.